Package org.talend.transform.runtime.api

# Class MapExecutionCommandImpl

java.lang.Object
org.talend.transform.runtime.common.ResourceExecutionCommandBase<org.talend.transform.runtime.common.MapExecutionCommand,org.talend.transform.runtime.common.MapExecutionStatus>
org.talend.transform.runtime.common.MapExecutionCommandBase
org.talend.transform.runtime.api.MapExecutionCommandImpl

All Implemented Interfaces:
  `org.talend.transform.runtime.common.MapExecutionCommand`, `org.talend.transform.runtime.common.ResourceExecutionCommand<org.talend.transform.runtime.common.MapExecutionCommand,org.talend.transform.runtime.common.MapExecutionStatus>`

public class MapExecutionCommandImpl extends org.talend.transform.runtime.common.MapExecutionCommandBase

## Constructor Summary

Constructors
Constructor
Description
`MapExecutionCommandImpl(MapExecutorImpl mapExecutor, org.talend.transform.runtime.common.MapLocation mapLocation)`

## Method Summary

Modifier and Type
Method
Description
`org.talend.transform.runtime.common.MapExecutionStatus`
`execute()`
`InputStream`
`executeToStream()`
`org.talend.transform.runtime.common.MapExecutionCommand`
`freeExecutionResources()`
`boolean`
`requiresJavaOutput()`
`org.talend.transform.runtime.common.MapExecutionCommand`
`self()`
`org.talend.transform.runtime.common.MapExecutionCommand`
`setObjectResult(Object objectResult)`
`org.talend.transform.runtime.common.MapExecutionCommand`
`setObjectResult(org.talend.transform.runtime.common.MapExecutorCallback callback)`
`org.talend.transform.runtime.common.MapExecutionCommand`
`setObjectSource(Object objectSource)`
`org.talend.transform.runtime.common.MapExecutionCommand`
`setSources(Map<String,Source> sources)`

### Methods inherited from class org.talend.transform.runtime.common.MapExecutionCommandBase

`getExecutionStatus, getMapLocation, getProgressMonitor, getResourceLocation, getResult, getResultCallback, getResults, getSource, getSources, setExecutionStatus, setMapLocation, setProgressMonitor, setResult, setResultCallback, setResults, setSource`

### Methods inherited from class org.talend.transform.runtime.common.ResourceExecutionCommandBase

`getExecutionProperties, ignoreSkipLines, isAllowJavaCall, setAllowJavaCall, setExecutionProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.talend.transform.runtime.common.ResourceExecutionCommand

`getExecutionProperties, ignoreSkipLines, isAllowJavaCall, setAllowJavaCall, setExecutionProperties`

## Constructor Details

### MapExecutionCommandImpl

public MapExecutionCommandImpl(MapExecutorImpl mapExecutor, org.talend.transform.runtime.common.MapLocation mapLocation)

## Method Details

### setSources

public org.talend.transform.runtime.common.MapExecutionCommand setSources(Map<String,Source> sources)

Specified by:
  `setSources` in interface `org.talend.transform.runtime.common.MapExecutionCommand`
Overrides:
  `setSources` in class `org.talend.transform.runtime.common.MapExecutionCommandBase`

### execute

public org.talend.transform.runtime.common.MapExecutionStatus execute() throws org.talend.transform.runtime.common.MapConfigurationException, org.talend.transform.runtime.common.MapExecutionException

Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`
  `org.talend.transform.runtime.common.MapExecutionException`

### executeToStream

public InputStream executeToStream() throws org.talend.transform.runtime.common.MapConfigurationException

Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`

### setObjectSource

public org.talend.transform.runtime.common.MapExecutionCommand setObjectSource(Object objectSource)

### setObjectResult

public org.talend.transform.runtime.common.MapExecutionCommand setObjectResult(Object objectResult)

### setObjectResult

public org.talend.transform.runtime.common.MapExecutionCommand setObjectResult(org.talend.transform.runtime.common.MapExecutorCallback callback)

### freeExecutionResources

public org.talend.transform.runtime.common.MapExecutionCommand freeExecutionResources()

### self

public org.talend.transform.runtime.common.MapExecutionCommand self()

Specified by:
  `self` in class `org.talend.transform.runtime.common.MapExecutionCommandBase`

### requiresJavaOutput

public boolean requiresJavaOutput()